<script>
	import Sugar from 'sugar'
	// console.log(Sugar.Number.round)

	let agregadoGruesoTamaño = 2
	let piedraGrandeTamaño = 4
	let resistencia = 140

	let agregadoGruesoPeso = 752
	let agregadoFinoPeso = 786
	let piedraGrandePeso = 525
	let aguaPeso = 124.5
	let cementoPeso = 175.5

	let agregadoGruesoValor = 1750
	let agregadoFinoValor = 1650
	let piedraGrandeValor = 1750
	let cementoBolsaValor = 42.5
	let factor = 1.1


	$: largo = 10
	$: ancho = 0.4
	$: altura = 3

	$: volumen = largo * ancho * altura
	$: aguaPorBolsa = aguaPeso / (cementoPeso / cementoBolsaValor)

	$: agregadoGruesoVolumen = (agregadoGruesoPeso / agregadoGruesoValor) * factor * volumen
	$: agregadoFinoVolumen = (agregadoFinoPeso / agregadoFinoValor) * factor * volumen
	$: piedraGrandeVolumen = (piedraGrandePeso / piedraGrandeValor) * factor * volumen
	$: aguaVolumen = aguaPeso * factor * volumen
	$: cementoBolsas = (cementoPeso / cementoBolsaValor) * factor * volumen


</script>

<h1 class="font-bold">Sobre Cimientos</h1>

<hr class="my-4">

<div class="contenedor flex divide-x divide-gray-400">
	<div class="introduccion p-2">

		<h2 class="mb-2 text-red-600">Introdución de Datos</h2>

		<table id="valores" class="table-auto">
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Tamaño máximo del agregado grueso:</td>
				<td class="px-4 py-1 border bg-gray-100">{agregadoGruesoTamaño}"</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Piedra Grande</td>
				<td class="px-4 py-1 border bg-gray-100">{piedraGrandeTamaño}</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Resistencia a la Compresión: </td>
				<td class="px-4 py-1 border bg-gray-100">{resistencia} Kg/cm2</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Largo (m)</td>
				<td class="p-1 border bg-gray-100">
					<input class="bg-white p-1 w-full px-3" type="number" bind:value="{largo}" step="0.1">
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Ancho (m)</td>
				<td class="p-1 border bg-gray-100">
					<input class="bg-white p-1 w-full px-3" type="number" bind:value="{ancho}" step="0.1">
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Altura/Profundidad (m)</td>
				<td class="p-1 border bg-gray-100">
					<input class="bg-white p-1 w-full px-3" type="number" bind:value="{altura}" step="0.1">
				</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Volumen total (m3)</td>
				<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(volumen,1)}</td>
			</tr>
			<tr>
				<td class="px-4 py-1 border bg-gray-100">Agua por bolsa de cemento (l)</td>
				<td class="px-4 py-1 border bg-gray-100">{Sugar.Number.round(aguaPorBolsa,1)} litros</td>
			</tr>
		</table>


	</div>


	<div class="resultados p-2">

		<h2 class="mb-2 text-red-600">Resultados</h2>

		<table id="componente" class="table-fixed">
			<thead class="bg-gray-100">
				<tr>
					<th class="p-4">Componentes del concreto por m3</th>
					<th class="p-4">Peso (kg)</th>
					<th class="p-4">Para la Obra (con un desperdicio del 10%)</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="border p-1">Agregado grueso (piedra chancada)</td>
					<td class="border p-1">{agregadoGruesoPeso}</td>
					<td class="border p-1">{Sugar.Number.round(agregadoGruesoVolumen,1)} m3</td>
				</tr>
				<tr>
					<td class="border p-1">Agregado fino (arena gruesa)</td>
					<td class="border p-1">{agregadoFinoPeso}</td>
					<td class="border p-1">{Sugar.Number.round(agregadoFinoVolumen,1)} m3</td>
				</tr>
				<tr>
					<td class="border p-1">Piedra Grande (10") </td>
					<td class="border p-1">{piedraGrandePeso}</td>
					<td class="border p-1">{Sugar.Number.round(piedraGrandeVolumen,1)} m3</td>
				</tr>
				<tr>
					<td class="border p-1">Agua</td>
					<td class="border p-1">{aguaPeso}</td>
					<td class="border p-1">{Sugar.Number.round(aguaVolumen,1)}</td>
				</tr>
				<tr>
					<td class="border p-1">Cemento</td>
					<td class="border p-1">{cementoPeso}</td>
					<td class="border p-1">{Sugar.Number.round(cementoBolsas,1)} bolsas</td>
				</tr>
			</tbody>
		</table>

	</div>

</div>
